Subject: Re: bug#61299: 30.0.50; error when trying to installing via package-vc-selected-packages list

From: dalanicolai <[email-masked]>
Date: Fri, 24 Feb 2023 17:39:43 +0100

Okay, thanks! Although this is a nice answer, as I am having another
question also, I'll take the opportunity to also ask the others @emacs-devel
about a short explanation/how they deal with this.

On Fri, 24 Feb 2023 at 12:29, Philip Kaludercic <[email-masked]> wrote:

> dalanicolai <[email-masked]> writes:
>
> > Ah sorry, indeed I had missed your earlier message.
>
> No problem :)
>
> > Installing the package works perfectly fine now. Thanks for that,
> > this functionality is great!
>
> OK, I'll be closing this bug report then.
>
> > Maybe I can also quickly drop the following question here:
> >
> > To test the function/new commit, I have rebuilt Emacs.
> > But I don't understand the 'proper' way to do that.
> > AFAIK (I implied from the INSTALL file), when building with
> > the same -configure flags, then we can just pull the latest
> > version and then do 'make'.
>
> Right.
>
> > However, when I do that, then I get all kinds of warnings that
> > my src files are newer than the byte-compiled files.
> > How do you deal with this? Should I just continue building Emacs
> > and then 're-byte-compile' when using it. Or should I just remove
> > all .elc files from the lisp directory first? Or do you have any
> > other advice?
>
> At what stage of the compilation do you encounter these warnings?  It
> makes sense that if you just git pull'ed from emacs.git the .el files
> might be newer than the .elc files, because the Makefile has to first
> rebuild Emacs which means temacs has to load a few files before dumping
> it into the actual emacs executable.  Only then will the byte
> compilation proceed.  Or that is my understanding, I never looked into
> the build process in too great of a detail.
>
> I'd let make run through, then see everything works the way it should.
> If not, I think you should better report that as a separate bug.
>
> > Thanks again for your help!
> >
> > On Thu, 23 Feb 2023 at 14:17, Philip Kaludercic <[email-masked]>
> wrote:
> >
> >> ping?
> >>
> >> Philip Kaludercic <[email-masked]> writes:
> >>
> >> > dalanicolai <[email-masked]> writes:
> >> >
> >> >>>>From emacs -q read the docstring of `package-vc-selected-packages`.
> >> >>
> >> >> Subsequently try to use by setting the value using:
> >> >>
> >> >>  (setq package-vc-selected-packages
> >> >>        '((image-roll :url "
> https://github.com/dalanicolai/image-roll.el
> >> ")))
> >> >>
> >> >> As far as I know the value has the correct structure (as described in
> >> >> the docstring). However, when trying to actually install the package
> >> >> using `package-vs-install-selected-packages`, Emacs somehow
> determines
> >> >> that `:url` is the name of the package.
> >> >
> >> > This should be fixed by 2da05876edb5bc8ec0f39ac679c806930e16e5c7, can
> >> > you check?
> >> >
> >> >> In GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
> >> >>  3.24.33, cairo version 1.16.0) of 2023-02-05 built on
> >> >>  floris-XPS-15-9560
> >> >> Repository revision: d27d9a43d4d1b3f8a213cb739f4d27793158a050
> >> >> Repository branch: master
> >> >> System Description: Ubuntu 22.04.1 LTS
> >> >>
> >> >> Configured using:
> >> >>  'configure --with-xwidgets --with-pgtk --with-modules --with-cairo
> >> >>  --with-native-compilation -with-json'
> >> >>
> >> >> Configured features:
> >> >> CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG JSON
> >> >> LIBSELINUX LIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY PDUMPER PGTK
> PNG
> >> >> RSVG SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS XIM
> XWIDGETS
> >> >> GTK3 ZLIB
> >> >>
> >> >> Important settings:
> >> >>   value of $LC_MONETARY: nl_NL.UTF-8
> >> >>   value of $LC_NUMERIC: nl_NL.UTF-8
> >> >>   value of $LC_TIME: nl_NL.UTF-8
> >> >>   value of $LANG: en_US.UTF-8
> >> >>   value of $XMODIFIERS: @im=ibus
> >> >>   locale-coding-system: utf-8-unix
> >> >>
> >> >> Major mode: Org
> >> >>
> >> >> Minor modes in effect:
> >> >>   marginalia-mode: t
> >> >>   savehist-mode: t
> >> >>   vertico-mode: t
> >> >>   which-key-mode: t
> >> >>   shell-dirtrack-mode: t
> >> >>   evil-mode: t
> >> >>   evil-local-mode: t
> >> >>   windmove-mode: t
> >> >>   recentf-mode: t
> >> >>   override-global-mode: t
> >> >>   tooltip-mode: t
> >> >>   global-eldoc-mode: t
> >> >>   show-paren-mode: t
> >> >>   electric-indent-mode: t
> >> >>   mouse-wheel-mode: t
> >> >>   tool-bar-mode: t
> >> >>   menu-bar-mode: t
> >> >>   file-name-shadow-mode: t
> >> >>   global-font-lock-mode: t
> >> >>   font-lock-mode: t
> >> >>   blink-cursor-mode: t
> >> >>   line-number-mode: t
> >> >>   indent-tabs-mode: t
> >> >>   transient-mark-mode: t
> >> >>   auto-composition-mode: t
> >> >>   auto-encryption-mode: t
> >> >>   auto-compression-mode: t
> >> >>
> >> >> Load-path shadows:
> >> >> None found.
> >> >>
> >> >> Features:
> >> >> (shadow sort mail-extr emacsbug cl-print edebug shortdoc package-x
> >> >> package-vc vc help-fns mule-util org-element org-persist org-id
> >> >> org-refile avl-tree oc-basic ol-eww eww xdg url-queue mm-url ol-rmail
> >> >> ol-mhe ol-irc ol-info ol-gnus nnselect gnus-art mm-uu mml2015 mm-view
> >> >> mml-smime smime dig gnus-sum shr pixel-fill kinsoku url-file svg
> >> >> gnus-group gnus-undo gnus-start gnus-dbus dbus xml gnus-cloud nnimap
> >> >> nnmail mail-source utf7 nnoo parse-time gnus-spec gnus-int gnus-range
> >> >> gnus-win gnus nnheader range ol-docview doc-view jka-compr image-mode
> >> >> exif ol-bibtex bibtex iso8601 ol-bbdb ol-w3m ol-doi org-link-doi
> >> >> cursor-sensor vc-git diff-mode vc-dispatcher vc-svn cus-edit
> cus-start
> >> >> cus-load eglot external-completion array filenotify jsonrpc
> marginalia
> >> >> marginalia-autoloads xref org ob ob-tangle ob-ref ob-lob ob-table
> ob-exp
> >> >> org-macro org-src ob-comint org-pcomplete org-list org-footnote
> >> >> org-faces org-entities noutline outline ob-emacs-lisp ob-core ob-eval
> >> >> org-cycle org-table ol org-fold org-fold-core org-keys oc
> org-loaddefs
> >> >> cal-menu calendar cal-loaddefs org-version org-compat org-macs
> >> >> format-spec imenu consult-icomplete icomplete flymake-proc flymake
> >> >> project consult-vertico consult compat bookmark consult-autoloads
> ert-x
> >> >> compat-macs compat-autoloads savehist orderless orderless-autoloads
> >> >> vertico-flat vertico vertico-autoloads evil-nerd-commenter
> >> >> evil-nerd-commenter-operator evil-nerd-commenter-sdk sgml-mode
> facemenu
> >> >> dom evil-nerd-commenter-autoloads which-key pcase which-key-autoloads
> >> >> bind-map evil-test-helpers evil evil-keybindings evil-integration
> ert pp
> >> >> ewoc debug backtrace find-func elp evil-maps evil-commands ffap
> reveal
> >> >> flyspell ispell evil-jumps evil-command-window evil-search evil-ex
> shell
> >> >> pcomplete evil-types evil-macros evil-repeat evil-states evil-core
> >> >> advice evil-common windmove calc calc-loaddefs calc-macs thingatpt
> rect
> >> >> evil-digraphs evil-vars edmacro kmacro info evil-autoloads undo-tree
> >> >> diff queue undo-tree-autoloads tar-mode arc-mode archive-mode comp
> >> >> comp-cstr rx generator warnings icons cl compile comint ansi-osc
> >> >> ansi-color ring queue-autoloads loaddefs-gen lisp-mnt radix-tree
> >> >> mm-archive message sendmail yank-media dired dired-loaddefs rfc822
> mml
> >> >> mml-sec epa derived epg rfc6068 epg-config gnus-util
> >> >> text-property-search time-date mailabbrev gmm-utils mailheader
> mm-decode
> >> >> mm-bodies mm-encode mail-utils gnutls network-stream url-cache
> url-http
> >> >> url-auth mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums
> >> >> mail-prsvr url-gw nsm puny cl-extra help-mode recentf tree-widget
> >> >> wid-edit use-package use-package-ensure use-package-delight
> >> >> use-package-diminish use-package-bind-key bind-key easy-mmode
> >> >> use-package-core finder-inf bind-map-autoloads :url-autoloads package
> >> >> browse-url url url-proxy url-privacy url-expand url-methods
> url-history
> >> >> url-cookie generate-lisp-file url-domsuf url-util mailcap
> url-handlers
> >> >> url-parse auth-source cl-seq eieio eieio-core cl-macs password-cache
> >> >> json subr-x map byte-opt gv bytecomp byte-compile url-vars
> cl-loaddefs
> >> >> cl-lib rmc iso-transl tooltip cconv eldoc paren electric uniquify
> >> >> ediff-hook vc-hooks lisp-float-type elisp-mode mwheel term/pgtk-win
> >> >> pgtk-win term/common-win pgtk-dnd tool-bar dnd fontset image
> regexp-opt
> >> >> fringe tabulated-list replace newcomment text-mode lisp-mode
> prog-mode
> >> >> register page tab-bar menu-bar rfn-eshadow isearch easymenu timer
> select
> >> >> scroll-bar mouse jit-lock font-lock syntax font-core term/tty-colors
> >> >> frame minibuffer nadvice seq simple cl-generic indonesian philippine
> >> >> cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet
> lao
> >> >> korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
> >> >> european ethiopic indian cyrillic chinese composite emoji-zwj
> charscript
> >> >> charprop case-table epa-hook jka-cmpr-hook help abbrev obarray
> oclosure
> >> >> cl-preloaded button loaddefs theme-loaddefs faces cus-face macroexp
> >> >> files window text-properties overlay sha1 md5 base64 format env
> >> >> code-pages mule custom widget keymap hashtable-print-readable
> backquote
> >> >> threads xwidget-internal dbusbind inotify dynamic-setting
> >> >> system-font-setting font-render-setting cairo gtk pgtk multi-tty
> >> >> make-network-process native-compile emacs)
> >> >>
> >> >> Memory information:
> >> >> ((conses 16 600102 54334)
> >> >>  (symbols 48 36405 0)
> >> >>  (strings 32 141557 4453)
> >> >>  (string-bytes 1 5302430)
> >> >>  (vectors 16 70093)
> >> >>  (vector-slots 8 1166751 55161)
> >> >>  (floats 8 540 101)
> >> >>  (intervals 56 1267 141)
> >> >>  (buffers 976 27))
> >>
>
> --
> Philip Kaludercic
>